cascading.tuple.hadoop.io

## Class TupleDeserializer

- java.lang.Object
- - cascading.tuple.hadoop.io.TupleDeserializer

All Implemented Interfaces:
  Deserializer<Tuple>

    public class TupleDeserializer
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TupleDeserializer(TupleSerialization.SerializationElementReader elementReader)`

### Method Summary

Methods
`void` `close()`
`protected Tuple` `createTuple()`
`Tuple` `deserialize(Tuple tuple)`
`void` `open(java.io.InputStream in)`
`protected void` `setReaders(Fields fields)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TupleDeserializer

    public TupleDeserializer(TupleSerialization.SerializationElementReader elementReader)

### Method Detail

#### deserialize

    public Tuple deserialize(Tuple tuple)
                      throws java.io.IOException

Specified by:
  `deserialize` in interface `Deserializer<Tuple>`
Throws:
  `java.io.IOException`

#### createTuple

    protected Tuple createTuple()

#### setReaders

    protected void setReaders(Fields fields)

#### open

    public void open(java.io.InputStream in)

Specified by:
  `open` in interface `Deserializer<T extends Tuple>`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `Deserializer<T extends Tuple>`
Throws:
  `java.io.IOException`